Bug 1032935 - Integration with application server thread-pool
Integration with application server thread-pool
Status: NEW
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: FUTURE
Assigned To: Gary Brown
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-21 04:29 EST by Jochen Cordes
Modified: 2015-11-02 03:03 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RTGOV-319 Minor Open Integration with application server thread-pool 2014-08-22 07:16:07 EDT

  None (edit)
Description Jochen Cordes 2013-11-21 04:29:01 EST
Description of problem:

It looks like the RTGov threads are un-managed, i.e. not managed by JBoss EAP.

Below you can find an example for a thread
thread which seems not be
integrated with the JBoss EAP thead-pool:

"Thread-130" daemon prio=10 tid=0x89171400 nid=0x3c52 waiting on
condition [0x8269d000]
    java.lang.Thread.State: WAITING (parking)
         at sun.misc.Unsafe.park(Native Method)
         - parking to wait for  <0xaabee058> (a
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
         at
java.util.concurrent.locks.LockSupport.park(LockSupport.java:156)
         at
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1987)
         at
java.util.concurrent.ArrayBlockingQueue.take(ArrayBlockingQueue.java:322)
         at
org.overlord.rtgov.activity.collector.activity.server.ActivityServerLogger$1.run(ActivityServerLogger.java:97)
         at java.lang.Thread.run(Thread.java:662)

Version-Release number of selected component (if applicable):

6.0.0 Beta

How reproducible:

Always

Steps to Reproduce:
1. Startup FSW
2. Activate services
3. Do a threaddump

Actual results:

Threads are not managed by the JBoss EAP thread-pool

Expected results:

Threads should be managed by the JBoss EAP thread-pool.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.